> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询指数成分

> 查询指定指数的成分交易所及交易对

查询指定指数的成分交易所及交易对。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/index_constituents/{index}
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/index_constituents/{index}:
    get:
      tags:
        - 行情
      summary: 查询指数成分
      description: 查询指定指数的成分交易所及交易对。
      operationId: getPerpIndexConstituents
      parameters:
        - $ref: '#/components/parameters/Settle'
        - name: index
          in: path
          required: true
          description: 指数名称
          schema:
            type: string
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexConstituents'
      security: []
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
  schemas:
    IndexConstituents:
      type: object
      properties:
        index:
          type: string
          description: 指数名称
        constituents:
          type: array
          items:
            type: object
            properties:
              exchange:
                type: string
                description: 交易所
              symbols:
                type: array
                items:
                  type: string
            additionalProperties: true
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.